Limerence
Spaces

List Spaces

Get all spaces for the authenticated user

GET
/spaces

Get all spaces for the authenticated user

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/spaces"
[  {    "_count": {      "chatSessions": 0    },    "dataSources": [      {        "dataSource": {          "connectionStatus": null,          "id": "string",          "name": "string",          "type": "SQLITE"        },        "createdAt": "string",        "dataSourceId": "string",        "grounding": "string",        "id": "string",        "spaceId": "string"      }    ],    "createdAt": "string",    "description": null,    "id": "string",    "modelId": null,    "name": "string",    "providerId": null,    "teamId": "string",    "transcriptionModelId": null,    "updatedAt": "string"  }]
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}